- Get sender for project
Returns a sender for a project.
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/rcs/senders/{senderId}
curl -i -X GET \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/rcs/senders/{senderId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Sender
Region sender is provisioned in.
| Enum Value | Description |
|---|---|
| BR | The sender is operating within the Brazil region. |
| EU | The sender is operating within the Europe region. |
| US | The sender is operating within the United States region. |
Billing category. Note: The billing framework distinguishes between two primary categories: non-conversational and conversational. The non-conversational category includes SINGLE_MESSAGE and BASIC_MESSAGE types which are considered functionally equivalent in the current revision. The conversational category includes CONVERSATIONAL and CONVERSATIONAL_LEGACY types. Values BASIC_MESSAGE, SINGLE_MESSAGE and CONVERSATIONAL_LEGACY are deprecated and will be removed in a future version.
- CONVERSATIONAL: Designed for longer, more complex sessions where the user and brand exchange a series of messages.
- NON_CONVERSATIONAL: Represents a non-conversational billing category, which replaces the legacy SINGLE_MESSAGE and BASIC_MESSAGE categories. This is for agents that primarily engage in one-way (A2P) communication.
- BASIC_MESSAGE: Billing model is similar to SMS. Deprecated value, use NON_CONVERSATIONAL instead.
- CONVERSATIONAL_LEGACY: Legacy category to support the billing configuration of existing agents. Deprecated value, use CONVERSATIONAL instead.
- SINGLE_MESSAGE: Replaces SMS with a richer messaging experience. Deprecated value, use NON_CONVERSATIONAL instead.
| Enum Value | Description |
|---|---|
| CONVERSATIONAL | Billing category for conversational messages. |
| NON_CONVERSATIONAL | Billing category for non-conversational messages. |
| BASIC_MESSAGE | Billing category for basic messages. |
| CONVERSATIONAL_LEGACY | Legacy billing category for conversational messages. |
| SINGLE_MESSAGE | Billing category for single messages. |
Use case.
| Enum Value | Description |
|---|---|
| MULTIUSE | The sender is configured for multiple types of use cases. |
| OTP | The sender is used exclusively for one-time passwords. |
| PROMOTIONAL | The sender is used for marketing and promotional content. |
| TRANSACTIONAL | The sender is used for functional or transactional communications. |
Internal Google hosting region
| Enum Value | Description |
|---|---|
| ASIA_PACIFIC | The sender is hosted within the Asia-Pacific region. |
| EUROPE | The sender is hosted within the Europe region. |
| NORTH_AMERICA | The sender is hosted within the North America region. |
If set, the details of the Conversation API App the sender is connected to.
The current state of the sender.
| Enum Value | Description |
|---|---|
| DRAFT | The sender configuration is saved as a draft. |
| IN_PROGRESS | The sender registration or setup is currently in progress. |
| IN_TEST | The sender is currently undergoing testing. |
| LAUNCHED | The sender has been successfully launched. |
| LAUNCHING | The sender launch sequence is currently executing. |
| PREPARING_LAUNCH | The sender configuration is being prepared for launch. |
| UNLAUNCHED | The sender has been unlaunched and is disabled. |
| UNKNOWN | The current state of the sender cannot be determined. |
Response with a sender inTest.
{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "state": "IN_TEST", "testNumberStates": [ { … }, { … }, { … } ], "countryStatus": [ { … }, { … }, { … } ], "details": { "brand": { … }, "testNumbers": [ … ], "countries": [ … ], "questionnaire": { … } }, "region": "EU", "billingCategory": "CONVERSATIONAL", "useCase": "OTP", "hostingRegion": "EUROPE", "authName": "yurwN6123asd", "authToken": "ejiiqJtDyurwN6jLze8v", "conversationApiApp": "4CF9CE97504C4A468F4610919D17ECC1", "conversationApiAppDetails": { "id": "4CF9CE97504C4A468F4610919D17ECC1", "projectId": "ea026751-3edf-40a9-ad93-1b382bd60a78", "region": "EU", "channelStatus": "ACTIVE" }, "created": "2023-01-19t13:11:08.204Z", "modified": "2023-01-19t13:11:08.204Z", "launched": "2023-01-19t13:11:08.204Z", "supplierDetails": { "google": { … } } }